#include <bits/stdc++.h>

using namespace std;

int main() {
    long long n, q;
    cin >> n >> q;
    
    vector <long long> glasovi(n);
    vector <long long> granice(q);
    
    for(long long i = 0; i < n; i++)
        cin >> glasovi[i];
        
    for(long long i = 0; i < q; i++)
        cin >> granice[i];
        
    sort(glasovi.begin(), glasovi.end());
    
    for(long long i = 0; i < q; i++) {
        long long g = granice[i];
        bool sadrzi = false;
        long long poz;
        long long res = 0;
        long long n1 = n;
        
        for(long long j = 0; j < n; j++) {
            if(glasovi[j] == g) {
                sadrzi = true;
                poz = j;
            } 
        }
        
        if(!sadrzi) {
            for(long long j = 0; j < n; j++)
                if(g > glasovi[j]) {
                    poz = j + 1; 
                    sadrzi = true;
                }
                
                if(!sadrzi)
                    poz = 0;
                
                n1++;
                res++;
        }
        
        if(n1 / 2 == poz)
            res += 0;
            
        else if(poz > n1 / 2)
            res += abs(n1 - 1 - 2 * poz) - 1;
            
        else
            res += abs(n1 - 1 - 2 * poz);
            
        cout << res << endl;
        
    }
        
    
    return 0;
}